Skip to main content
`Ctrl`+`K`

# DMDAGetElementsSizes

Gets the local number of elements per coordinate direction for the non-overlapping decomposition identified by `DMDAGetElements()`

## Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDAGetElementsSizes(DM da, PeOp PetscInt *mx, PeOp PetscInt *my, PeOp PetscInt *mz)

Not Collective

## Input Parameter

- da - the `DMDA` object

## Output Parameters

- mx - number of local elements in x-direction

- my - number of local elements in y-direction

- mz - number of local elements in z-direction

## Note

Returns the same number of elements, irrespective of the `DMDAElementType`

## See Also

DMDA - Creating vectors for structured grids, `DM`, `DMDA`, `DMDAElementType`, `DMDASetElementType()`, `DMDAGetElements()`, `DMDAGetElementsCorners()`

## Level

intermediate

## Location

src/dm/impls/da/dagetelem.c

## Examples

src/ksp/ksp/tutorials/ex43.c
src/ksp/ksp/tutorials/ex49.c
src/ksp/ksp/tutorials/ex42.c

Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages